<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>rgb2ind</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="rgb2hsv.html">&lt;&lt; rgb2hsv</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="rgb2lab.html">rgb2lab &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a> &gt; rgb2ind</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">rgb2ind</h1>
    <p class="refpurpose">Convert RGB image to index image</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">[</span><span class="default">imout</span><span class="default">,</span><span class="default">map</span><span class="default">] = </span><span class="functionid">rgb2ind</span><span class="default">(</span><span class="default">imin</span><span class="default">,</span><span class="default">n</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">inm :</span>
      <dd><p class="para">Source Image</p></dd></dt>
   <dt><span class="term">n :</span>
      <dd><p class="para">n levels for each color channel intensity</p></dd></dt>
   <dt><span class="term">imout :</span>
      <dd><p class="para">Output indexed image</p></dd></dt>
   <dt><span class="term">map :</span>
      <dd><p class="para">Colormap</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">On input Im is a n1 x n2 x 3 hypermat describing a
true color image  Im(i,j,:) giving the R-G-B of the
pixel (i,j).
On output A is a n1 x n2 matrix, A(i,j) given the
index on the &#0034;true&#0034; color map of the (i,j) pixel.
There are n levels for each color channel intensity
(each intensity being given by an integer I between 0 and n-1)
To the &#0034;color&#0034; R,G,B (R,G,B in [0,n-1]) must correspond the
index k= R n^2 + G n + B + 1 of the table cmap of size n^3 x 3
and cmap(k,:) =  [R/(n-1) G/(n-1) B/(n-1)]
As the max size of a cmap in scilab is 2^16-2,
n = 40 is the max possible (40^3 &lt;= 2^16 - 2 &lt; 41^3).</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/puffin.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabopenclose">[</span><span class="scilabid">X</span><span class="scilabdefault">,</span><span class="scilabid">map</span><span class="scilabopenclose">]</span> <span class="scilaboperator">=</span> <span class="scilabid">rgb2ind</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabdefault">,</span><span class="scilabnumber">8</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">X</span><span class="scilabdefault">,</span><span class="scilabid">map</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="ind2rgb.html" class="link">ind2rgb</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Ricardo Fabbri</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="rgb2hsv.html">&lt;&lt; rgb2hsv</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="rgb2lab.html">rgb2lab &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
